{{ define "content" }}

<div class="container">

  {{if .Options.Get "update"}}
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="/administratives?{{query "tpl_layout" "base" "tpl_content" "administratives"}}">Amministrativi</a></li>
      <li class="breadcrumb-item active"><a href="#">Aggiorna amministrativo</a></li>
    </ol>
  </nav>
  {{else}}
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="/administratives?{{query "tpl_layout" "base" "tpl_content" "administratives"}}">Amministrativi</a></li>
      <li class="breadcrumb-item active"><a href="#">Aggiungi</a></li>
    </ol>
  </nav>
  {{end}}

 {{if .Options.Get "update"}}
  <div class="karmen-info-header">
    <div class="row">
      <div class="col-md-8">
	<h1>Aggiorna amministrativo</h1>
      </div>
    </div>
  </div>
  
  {{else}}
  <h1 class="karmen-info-header">Crea nuovo amministrativo</h1>
  {{end}}

  {{if .Options.Get "update"}}
  <form id="form_administratives_add_update" action="/administratives/{{.Data.Administrative.ID}}/update" method="POST" role="form" class="needs-validation">
  {{else}}
  <form id="form_administratives_add_update" action="/administratives/add/" method="POST" role="form" class="needs-validation">
  {{end}}

    <div class="form-group">
      <label class="control-label" for="administrative_name">Nome</label>
      <input type="text" name="Name" class="form-control" id="administrative_name" placeholder="Nome" {{if .Options.Get "update"}} value="{{.Data.Administrative.Name}}" {{end}} required>
    </div>

    <div class="form-group">
      <label class="control-label" for="administrative_surname">Cognome</label>
      <input type="text" name="Surname" class="form-control" id="administrative_surname" placeholder="Cognome" {{if .Options.Get "update"}} value="{{.Data.Administrative.Surname}}" {{end}} required>
    </div>

    <div class="form-group">
      <label class="control-label" for="administrative_internal_telephone">Telefono (interno)</label>
      <input type="text" name="InternalTelephoneNumber" class="form-control" id="administrative_internal_telephone_number" placeholder="Numero di telefono (interno)" {{if .Options.Get "update"}} value="{{.Data.Administrative.InternalTelephoneNumber}}" {{end}}>
    </div>

    <div class="form-group">
      <label class="control-label" for="office_id">Ufficio</label>
      <select name="office_id" class="form-control selectpicker" id="office_id" placeholder="Seleziona l'ufficio" data-live-search="true" form="form_administratives_add_update" title="Seleziona l'ufficio" data-dropup-auto="false" required>
    	<option value="0"></option>
    	{{range $office := .Data.AllOffices}}
    	{{if $.Options.Get "update"}}
    	<option
    	   value="{{$office.ID}}"
    	   {{index $.Data.SelectedOffice $office.ID}}>{{$office.Name}}
    	</option>
    	{{else}}
    	<option value="{{$office.ID}}">{{$office.Name}}</option>
    	{{end}}
    	{{end}}
      </select>
    </div>
    
    <div class="form-group">
      <button type="submit" class="btn btn-primary">Salva</button>
      {{if .Options.Get "update"}}
      <a href="/administratives/{{.Data.Administrative.ID}}?{{query "tpl_layout" "base" "tpl_content" "administratives_show"}}" class="btn btn-default">Annulla</a>
      {{else}}
      <a href="/administratives?{{query "tpl_layout" "base" "tpl_content" "administratives"}}" class="btn btn-default">Annulla</a>
      {{end}}
    </div>
    
  </form>

</div>

{{ end }}
